Subject: Re: pull request: bluetooth-next 2023-06-27

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Jun 2023 10:59:41 -0700

On Thu, 29 Jun 2023 08:22:41 -0700 Jakub Kicinski wrote:
> On Wed, 28 Jun 2023 22:01:05 -0700 Luiz Augusto von Dentz wrote:
> > >  a8d0b0440b7f ("Bluetooth: btrtl: Add missing MODULE_FIRMWARE declarations")
> > >  349cae7e8d84 ("Bluetooth: btusb: Add device 6655:8771 to device tables")
> > >  afdbe6303877 ("Bluetooth: btqca: use le32_to_cpu for ver.soc_id")
> > >  d1b10da77355 ("Bluetooth: L2CAP: Fix use-after-free")
> > >  c1121a116d5f ("Bluetooth: fix invalid-bdaddr quirk for non-persistent setup")
> > >  2f8b38e5eba4 ("Bluetooth: fix use-bdaddr-property quirk")
> > >  317af9ba6fff ("Bluetooth: L2CAP: Fix use-after-free in l2cap_sock_ready_cb")
> > >  a6cfe4261f5e ("Bluetooth: hci_bcm: do not mark valid bd_addr as invalid")
> > >  20b3370a6bfb ("Bluetooth: ISO: use hci_sync for setting CIG parameters")
> > >  29a3b409a3f2 ("Bluetooth: hci_event: fix Set CIG Parameters error status handling")
> > >  48d15256595b ("Bluetooth: MGMT: Fix marking SCAN_RSP as not connectable")
> > >  f145eeb779c3 ("Bluetooth: ISO: Rework sync_interval to be sync_factor")
> > >  0d39e82e1a7b ("Bluetooth: hci_sysfs: make bt_class a static const structure")
> > >  8649851b1945 ("Bluetooth: hci_event: Fix parsing of CIS Established Event")
> > >  5b611951e075 ("Bluetooth: btusb: Add MT7922 bluetooth ID for the Asus Ally")
> > >  00b51ce9f603 ("Bluetooth: hci_conn: Use kmemdup() to replace kzalloc + memcpy")
> > >
> > > You can throw in a few more things you think are important and are
> > > unlikely to cause regressions.    
> > 
> > Yeah, those seem to be the most important ones, do you want me to redo
> > the pull-request or perhaps you can just cherry-pick them?  
> 
> Nothing to add to that list?
> Let me see if I can cherry-pick them cleanly.

I pushed these to net now, hopefully I didn't mess it up :)